---
title: MDN at 10
slug: MDN_at_ten
tags:
  - History
  - Landing
  - MDN Meta
---
<p class="summary">Celebrate 10 years of documenting your Web.</p>

<div class="column-container">
<div class="column-8">
<h2 id="The_history_of_MDN">The history of MDN</h2>

<p>In early 2005, a small team of idealists set out to create a new, free, community-built online resource for all Web developers. Their brilliant but offbeat idea grew into today’s Mozilla Developer Network—the premier resource for all open Web technologies. Ten years later, our global community is bigger than ever, and together we’re still creating documentation, sample code and learning resources for all open Web technologies, including CSS, HTML, JavaScript and everything else that makes the open Web as powerful as it is.</p>

<p><a class="learnmore" href="/en-US/docs/MDN_at_ten/History_of_MDN">Learn more <span class="offscreen">about the history</span></a></p>

<h2 id="Contributing_to_MDN">Contributing to MDN</h2>

<p>For ten years, the MDN community has been documenting the open Web. From fixing simple typos to writing entire suites of an entirely new API, everyone has something to offer and no contribution is too large or too small. We have over 90,000 pages of content that have been written or translated by members of our outstanding community of Mozillians. You can become one of them.</p>

<p><a class="learnmore" href="/en-US/docs/MDN_at_ten/Contributing_to_MDN">Learn more <span class="offscreen">about contributing</span></a></p>


</div>

<div class="column-4">{{TenthCampaignQuote}}</div>

<h2 id="Subnav">Subnav</h2>

<ol>
 <li><a href="/en-US/docs/MDN_at_ten/">MDN at 10</a></li>
 <li><a href="/en-US/docs/MDN_at_ten/History_of_MDN">The history of MDN</a></li>
 <li><a href="/en-US/docs/MDN_at_ten/Contributing_to_MDN">Contributing to MDN</a></li>
</ol>
</div>
